=== debian/changelog ===
golang-github-hashicorp-go-bexpr (0.1.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints. + golang-github-hashicorp-go-bexpr-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 26 Nov 2022 11:51:20 +0000

golang-github-hashicorp-go-bexpr (0.1.2-2) unstable; urgency=medium

  * Standards-Version: 4.4.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Jan 2020 14:22:36 +1100

golang-github-hashicorp-go-bexpr (0.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #945750).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 28 Nov 2019 12:36:00 +1100
