=== debian/control ===
Source: golang-github-hashicorp-go-bexpr
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
Build-Depends-Indep:
 golang-any,
 golang-github-stretchr-testify-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-go-bexpr
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-go-bexpr.git
Homepage: https://github.com/hashicorp/go-bexpr
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hashicorp/go-bexpr

Package: golang-github-hashicorp-go-bexpr-dev
Architecture: all
Depends:
 ${misc:Depends},
 golang-github-stretchr-testify-dev,
Multi-Arch: foreign
Description: generic boolean expression evaluation in Golang
 Bexpr is a Golang library to provide generic boolean expression evaluation
 and filtering for Go data structures.
